Retrieve context files
curl --request GET \
--url https://a.api.mindset.ai/api/v1/appuid/{appUid}/contexts/{contextUid}/files \
--header 'x-api-key: <api-key>'import requests
url = "https://a.api.mindset.ai/api/v1/appuid/{appUid}/contexts/{contextUid}/files"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://a.api.mindset.ai/api/v1/appuid/{appUid}/contexts/{contextUid}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{
"uid": "<string>",
"externalId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"status": "<string>",
"statusMessage": "<string>",
"runId": "<string>",
"mimeType": "<string>",
"autoPublish": true,
"hideContentSegments": true,
"labels": [
"<string>"
],
"contentHash": "<string>",
"knownAs": "<string>",
"externalUrl": "<string>",
"viewOriginalSource": true,
"thumbnailUpdatedByAdmin": true
}
]
}This response has no body data.This response has no body data.This response has no body data.This response has no body data.Context Files
Retrieve context files
GET
/
api
/
v1
/
appuid
/
{appUid}
/
contexts
/
{contextUid}
/
files
Retrieve context files
Authorizations
Path Parameters
Your application's uid
Minimum string length:
1Your context's uid
Minimum string length:
1Query Parameters
Start after the given createdAt timestamp (ISO 8601) for pagination
Filter results to a specific runId
Filter results for a specific processing status
Response
Successful retrieval
Show child attributes
Show child attributes
⌘I